Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| Apache Derby 10.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.mbeans
Interface JDBCMBean

    public interface JDBCMBean

Management and information for the embedded JDBC driver.

Key properties for registered MBean:

- `type=JDBC`
- `system=`runtime system identifier (see overview)

Method Summary
`boolean` | `acceptsURL(java.lang.String url)` Does the driver accept the passed in JDBC URL
`java.lang.String` | `getDriverLevel()` Get the JDBC driver's implementation level
`int` | `getMajorVersion()` Return the JDBC driver's major version.
`int` | `getMinorVersion()` Return the JDBC driver's minor version.
`boolean` | `isCompliantDriver()` Is the JDBC driver compliant.

Method Detail

### getDriverLevel

    java.lang.String getDriverLevel()

  Get the JDBC driver's implementation level

### getMajorVersion

    int getMajorVersion()

  Return the JDBC driver's major version.

  Returns:
    major version
  See Also:
    `Driver.getMajorVersion()`

### getMinorVersion

    int getMinorVersion()

  Return the JDBC driver's minor version.

  Returns:
    minor version
  See Also:
    `Driver.getMinorVersion()`

### isCompliantDriver

    boolean isCompliantDriver()

  Is the JDBC driver compliant.

  Returns:
    compliance state
  See Also:
    `Driver.jdbcCompliant()`

### acceptsURL

    boolean acceptsURL(java.lang.String url)

  Does the driver accept the passed in JDBC URL

  Parameters:
    `url` - JDBC URL to check.
  Returns:
    True if it supports it, false otherwise.
  See Also:
    `Driver.acceptsURL(String)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| Built on Tue 2009-04-14 13:32:48-0700, from revision 764942
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.5 API Documentation - Copyright © 2004,2008 The Apache Software Foundation. All Rights Reserved.